package org.springblade.modules.payment.plugin;

import lombok.AllArgsConstructor;
import org.springblade.common.enums.PaymentType;
import org.springframework.stereotype.Component;

/**
 * @author: lianghanqiang
 * @description:  支付插件构造工厂
 * @since: 7/29/21 -- 2:54 PM
 */
@Component
@AllArgsConstructor
public class PaymentBuilder {

	YeePayPlugin yeePayPlugin;

	public Payment fetchPaymentPlugin(PaymentType paymentType){
		switch (paymentType){
			case YEE_PAY:
				return yeePayPlugin;
			default:
		}
		return null;
	}
}
